org.keycloak.forms.account.freemarker.model

## Class AuthorizationBean.ResourceBean

- java.lang.Object
- - org.keycloak.forms.account.freemarker.model.AuthorizationBean.ResourceBean

- Enclosing class:
    AuthorizationBean

      public class AuthorizationBean.ResourceBean
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBean(Resource resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getClientOwner()`
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getOwnerName()`
    `Collection<AuthorizationBean.RequesterBean>` | `getPermissions()`
    `Collection<AuthorizationBean.ManagedPermissionBean>` | `getPolicies()`
    `AuthorizationBean.ResourceServerBean` | `getResourceServer()`
    `List<ScopeRepresentation>` | `getScopes()`
    `Collection<AuthorizationBean.RequesterBean>` | `getShares()`
    `UserModel` | `getUserOwner()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBean

          public ResourceBean(Resource resource)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getIconUri

          public String getIconUri()

    - #### getOwnerName

          public String getOwnerName()

    - #### getUserOwner

          public UserModel getUserOwner()

    - #### getClientOwner

          public ClientModel getClientOwner()

    - #### getScopes

          public List<ScopeRepresentation> getScopes()

    - #### getShares

          public Collection<AuthorizationBean.RequesterBean> getShares()

    - #### getPolicies

          public Collection<AuthorizationBean.ManagedPermissionBean> getPolicies()

    - #### getResourceServer

          public AuthorizationBean.ResourceServerBean getResourceServer()

    - #### getPermissions

          public Collection<AuthorizationBean.RequesterBean> getPermissions()

Copyright © 2021 JBoss by Red Hat. All rights reserved.